Page MenuHomePhabricator

elm_gengrid: improve genlist behaviour
ClosedPublic

Authored by bu5hm4n on Dec 13 2018, 11:22 PM.

Details

Summary

the new behaviour is (as genlist in the previous commit):

  • focus the first item when down is pressed
  • focus the last item when up is pressed
  • do not go into the widget with tab or ctrl+tab and just return

immidiantly

fixes T6805

Depends on D7453

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 13 2018, 11:22 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Dec 13 2018, 11:22 PM
YOhoho accepted this revision.Dec 16 2018, 3:57 PM
This revision is now accepted and ready to land.Dec 16 2018, 3:57 PM
Closed by commit rEFL27e5e8fa757a: elm_gengrid: improve genlist behaviour (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 17 2018, 12:47 AM
This revision was automatically updated to reflect the committed changes.